Index: src/sas/plottools/fitDialog.py
===================================================================
--- src/sas/plottools/fitDialog.py	(revision b9a5f0eb8e8cbff8f8d934bbfa4ea18168141e13)
+++ src/sas/plottools/fitDialog.py	(revision 2df0b74178c150a9f521d5b09abf522c0578e825)
@@ -7,5 +7,5 @@
 import sys
 
-#Linear fit panel size 
+# Linear fit panel size
 if sys.platform.count("win32") > 0:
     FONT_VARIANT = 0
@@ -16,6 +16,6 @@
     PNL_WIDTH = 500
     PNL_HEIGHT = 500
-RG_ON = True    
-    
+RG_ON = True
+
 def format_number(value, high=False):
     """
@@ -27,8 +27,8 @@
         output = "NaN"
         return output.lstrip().rstrip()
-    
+
     if high:
         output = "%-6.4g" % value
-        
+
     else:
         output = "%-5.3g" % value
@@ -42,42 +42,42 @@
         Displays fitting parameters
         """
-        wx.Dialog.__init__(self, parent, title=title, 
+        wx.Dialog.__init__(self, parent, title=title,
                            size=(PNL_WIDTH, 350))
         self.parent = parent
         self.transform = transform
-        #Font
+        # Font
         self.SetWindowVariant(variant=FONT_VARIANT)
         # Registered owner for close event
         self._registered_close = None
-        
-        #dialog panel self call function to plot the fitting function
+
+        # dialog panel self call function to plot the fitting function
         self.push_data = push_data
-        #dialog self plottable
+        # dialog self plottable
         self.plottable = plottable
         self.rg_on = False
         # Receive transformations of x and y
-        self.xLabel, self.yLabel, self.Avalue, self.Bvalue,\
+        self.xLabel, self.yLabel, self.Avalue, self.Bvalue, \
                self.ErrAvalue, self.ErrBvalue, self.Chivalue = self.transform()
-        
-        #Dialog interface
-        vbox  = wx.BoxSizer(wx.VERTICAL)
+
+        # Dialog interface
+        vbox = wx.BoxSizer(wx.VERTICAL)
         sizer = wx.GridBagSizer(5, 5)
         _BOX_WIDTH = 100
- 
-        self.tcA      = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
+
+        self.tcA = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
         self.tcA.SetToolTipString("Fit value for the slope parameter.")
-        self.tcErrA   = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
+        self.tcErrA = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
         self.tcErrA.SetToolTipString("Error on the slope parameter.")
-        self.tcB      = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
+        self.tcB = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
         self.tcA.SetToolTipString("Fit value for the constant parameter.")
-        self.tcErrB   = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
+        self.tcErrB = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
         self.tcErrB.SetToolTipString("Error on the constant parameter.")
-        self.tcChi    = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
+        self.tcChi = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
         self.tcChi.SetToolTipString("Chi^2 over degrees of freedom.")
-        self.xminFit  = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
+        self.xminFit = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
         msg = "Enter the minimum value on "
         msg += "the x-axis to be included in the fit."
         self.xminFit.SetToolTipString(msg)
-        self.xmaxFit  = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
+        self.xmaxFit = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20))
         msg = "Enter the maximum value on "
         msg += " the x-axis to be included in the fit."
@@ -91,5 +91,5 @@
 
         # Make the info box not editable
-        #_BACKGROUND_COLOR = '#ffdf85'
+        # _BACKGROUND_COLOR = '#ffdf85'
         _BACKGROUND_COLOR = self.GetBackgroundColour()
         self.initXmin.SetEditable(False)
@@ -97,5 +97,5 @@
         self.initXmax.SetEditable(False)
         self.initXmax.SetBackgroundColour(_BACKGROUND_COLOR)
-        
+
         # Buttons on the bottom
         self.bg_on = False
@@ -104,5 +104,5 @@
         self.btFit.Bind(wx.EVT_BUTTON, self._onFit)
         self.btFit.SetToolTipString("Perform fit.")
-        self.btClose =wx.Button(self, wx.ID_CANCEL, 'Close')
+        self.btClose = wx.Button(self, wx.ID_CANCEL, 'Close')
         self.btClose.Bind(wx.EVT_BUTTON, self._on_close)
         if RG_ON:
@@ -122,67 +122,64 @@
         iy = 1
         sizer.Add(wx.StaticText(self, -1, explanation), (iy, ix),
-                 (1, 1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                  (1, 1), wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
         iy += 2
         sizer.Add(wx.StaticText(self, -1, param_a), (iy, ix),
-                 (1, 1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer.Add(self.tcA,(iy, ix),(1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  (1, 1), wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer.Add(self.tcA, (iy, ix), (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         sizer.Add(wx.StaticText(self, -1, '+/-'),
-                  (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  (iy, ix), (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         sizer.Add(self.tcErrA, (iy, ix), (1, 1),
-                  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 1
         ix = 0
-        sizer.Add(wx.StaticText(self, -1, 'Parameter b'), (iy, ix),(1, 1),
-                   wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer.Add(self.tcB, (iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        sizer.Add(wx.StaticText(self, -1, 'Parameter b'), (iy, ix), (1, 1),
+                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer.Add(self.tcB, (iy, ix), (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         sizer.Add(wx.StaticText(self, -1, '+/-'), (iy, ix),
-                  (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         sizer.Add(self.tcErrB, (iy, ix), (1, 1),
-                   wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 1
         ix = 0
         sizer.Add(wx.StaticText(self, -1, 'Chi2/dof'), (iy, ix), (1, 1),
-                   wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer.Add(self.tcChi, (iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-
-        
-        #sizer.Add(wx.StaticLine(self, -1), 0, wx.EXPAND, 0)
+                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer.Add(self.tcChi, (iy, ix), (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 2
         ix = 1
         sizer.Add(wx.StaticText(self, -1, 'Min'), (iy, ix), (1, 1),
-                   wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 2
         sizer.Add(wx.StaticText(self, -1, 'Max'), (iy, ix),
-                  (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
 
         iy += 1
         ix = 0
         sizer.Add(wx.StaticText(self, -1, 'Maximum range (linear scale)'),
-                  (iy, ix),(1,1),
-                   wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer.Add(self.initXmin, (iy, ix), (1,1),
-                   wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  (iy, ix), (1, 1),
+                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer.Add(self.initXmin, (iy, ix), (1, 1),
+                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 2
-        sizer.Add(self.initXmax, (iy, ix), (1,1), 
-                  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-       
+        sizer.Add(self.initXmax, (iy, ix), (1, 1),
+                  wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+
         iy += 1
         ix = 0
         sizer.Add(wx.StaticText(self, -1, 'Fit range of ' + self.xLabel),
                   (iy, ix), (1, 1),
-                   wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
         ix += 1
         sizer.Add(self.xminFit, (iy, ix), (1, 1),
-                   wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 2
-        sizer.Add(self.xmaxFit, (iy, ix), (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        sizer.Add(self.xmaxFit, (iy, ix), (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         if self.rg_on:
             self.SetSize((PNL_WIDTH, PNL_HEIGHT))
@@ -195,15 +192,15 @@
             self.I0err_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
             Rg_stxt = wx.StaticText(self, -1, 'Rg [A]')
-            Rg_stxt.Show(self.yLabel == "ln(y)" )
+            Rg_stxt.Show(self.yLabel == "ln(y)")
             self.Rg_tctr = wx.TextCtrl(self, -1, '')
             self.Rg_tctr.SetEditable(False)
             self.Rg_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
-            self.Rg_tctr.Show(self.yLabel == "ln(y)" )
+            self.Rg_tctr.Show(self.yLabel == "ln(y)")
             self.Rgerr_tctr = wx.TextCtrl(self, -1, '')
             self.Rgerr_tctr.SetEditable(False)
             self.Rgerr_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
-            self.Rgerr_tctr.Show(self.yLabel == "ln(y)" )
+            self.Rgerr_tctr.Show(self.yLabel == "ln(y)")
             self.Rgerr_pm = wx.StaticText(self, -1, '+/-')
-            self.Rgerr_pm.Show(self.yLabel == "ln(y)" )
+            self.Rgerr_pm.Show(self.yLabel == "ln(y)")
             Diameter_stxt = wx.StaticText(self, -1, 'Rod Diameter [A]')
             Diameter_stxt.Show(self.yLabel == "ln(y*x)")
@@ -229,72 +226,72 @@
             iy += 2
             ix = 0
-            sizer.Add(I0_stxt, (iy, ix), (1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-            ix += 1
-            sizer.Add(self.I0_tctr, (iy, ix), (1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+            sizer.Add(I0_stxt, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+            ix += 1
+            sizer.Add(self.I0_tctr, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 0)
             ix += 1
             sizer.Add(wx.StaticText(self, -1, '+/-'), (iy, ix),
-                                    (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-            ix += 1
-            sizer.Add(self.I0err_tctr, (iy, ix), (1,1), 
-                                    wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-            
+                      (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+            ix += 1
+            sizer.Add(self.I0err_tctr, (iy, ix), (1, 1),
+                      wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+
             iy += 1
             ix = 0
-            sizer.Add(Rg_stxt, (iy, ix),(1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-            ix += 1
-            sizer.Add(self.Rg_tctr, (iy, ix), (1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-    
+            sizer.Add(Rg_stxt, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+            ix += 1
+            sizer.Add(self.Rg_tctr, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+
             ix += 1
             sizer.Add(self.Rgerr_pm, (iy, ix),
-                                    (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-            ix += 1
-            sizer.Add(self.Rgerr_tctr, (iy, ix), (1,1), 
-                                    wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                      (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+            ix += 1
+            sizer.Add(self.Rgerr_tctr, (iy, ix), (1, 1),
+                      wx.EXPAND | wx.ADJUST_MINSIZE, 0)
             iy += 1
             ix = 0
-            sizer.Add(Diameter_stxt, (iy, ix),(1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-            ix += 1
-            sizer.Add(self.Diameter_tctr, (iy, ix), (1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-    
+            sizer.Add(Diameter_stxt, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+            ix += 1
+            sizer.Add(self.Diameter_tctr, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+
             ix += 1
             sizer.Add(self.Diameter_pm, (iy, ix),
-                                    (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-            ix += 1
-            sizer.Add(self.Diametererr_tctr, (iy, ix), (1,1), 
-                                    wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                      (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+            ix += 1
+            sizer.Add(self.Diametererr_tctr, (iy, ix), (1, 1),
+                      wx.EXPAND | wx.ADJUST_MINSIZE, 0)
             iy += 1
             ix = 0
-            sizer.Add(RgQmin_stxt, (iy, ix),(1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-            ix += 1
-            sizer.Add(self.RgQmin_tctr, (iy, ix), (1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+            sizer.Add(RgQmin_stxt, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+            ix += 1
+            sizer.Add(self.RgQmin_tctr, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 0)
             iy += 1
             ix = 0
-            sizer.Add(RgQmax_stxt, (iy, ix),(1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-            ix += 1
-            sizer.Add(self.RgQmax_tctr, (iy, ix), (1,1),
-                                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-            
+            sizer.Add(RgQmax_stxt, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+            ix += 1
+            sizer.Add(self.RgQmax_tctr, (iy, ix), (1, 1),
+                      wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+
         iy += 1
         ix = 1
-        
+
         vbox.Add(self.static_line_1, 0, wx.EXPAND, 0)
         sizer_button = wx.BoxSizer(wx.HORIZONTAL)
-        sizer_button.Add((20, 20), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        sizer_button.Add(self.btFit, 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
+        sizer_button.Add((20, 20), 1, wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+        sizer_button.Add(self.btFit, 0, wx.LEFT | wx.RIGHT | wx.ADJUST_MINSIZE, 10)
         sizer_button.Add(self.btClose, 0,
-                          wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
-        vbox.Add(sizer_button, 0, wx.EXPAND|wx.BOTTOM|wx.TOP, 10)
-        
-        sizer.Add(self.btFit, (iy, ix), (1,1), wx.LEFT|wx.ADJUST_MINSIZE, 0)
-        #panel.SetSizer(sizer)
+                         wx.LEFT | wx.RIGHT | wx.ADJUST_MINSIZE, 10)
+        vbox.Add(sizer_button, 0, wx.EXPAND | wx.BOTTOM | wx.TOP, 10)
+
+        sizer.Add(self.btFit, (iy, ix), (1, 1), wx.LEFT | wx.ADJUST_MINSIZE, 0)
+        # panel.SetSizer(sizer)
         self.SetSizer(vbox)
         self.Centre()
@@ -302,10 +299,10 @@
         from LineModel import LineModel
         self.model = LineModel()
-        #Display the fittings values
+        # Display the fittings values
         self.default_A = self.model.getParam('A')
         self.default_B = self.model.getParam('B')
         self.cstA = fittings.Parameter(self.model, 'A', self.default_A)
         self.cstB = fittings.Parameter(self.model, 'B', self.default_B)
-        
+
         # Set default value of parameter in fit dialog
         if self.Avalue == None:
@@ -330,5 +327,5 @@
             self.tcChi.SetLabel(format_number(self.Chivalue))
         if self.plottable.x != []:
-            #store the values of View in self.x,self.y,self.dx,self.dy
+            # store the values of View in self.x,self.y,self.dx,self.dy
             self.x, self.y, self.dx, \
                      self.dy = self.plottable.returnValuesOfView()
@@ -348,5 +345,5 @@
             self.xminFit.SetValue(format_number(self.mini))
             self.xmaxFit.SetValue(format_number(self.maxi))
-    
+
     def register_close(self, owner):
         """
@@ -354,10 +351,10 @@
         window that needs notification when the dialog
         is closed
-        
+
         :param owner: parent window
-        
+
         """
         self._registered_close = owner
-        
+
     def _on_close(self, event):
         """
@@ -368,5 +365,5 @@
         if self._registered_close is not None:
             self._registered_close()
-        
+
     def _onFit(self, event):
         """
@@ -379,19 +376,15 @@
         tempy = []
         tempdy = []
-            
+
         # Check if View contains a x array .we online fit when x exits
         # makes transformation for y as a line to fit
         if self.x != []:
-            if(self.checkFitValues(self.xminFit) == True):
-                #Check if the field of Fit Dialog contain values
+            if self.checkFitValues(self.xminFit) == True:
+                # Check if the field of Fit Dialog contain values
                 # and use the x max and min of the user
-                #xminView,xmaxView = self._checkVal(self.xminFit.GetValue(),
-                #self.xmaxFit.GetValue())
                 if not self._checkVal(self.xminFit, self.xmaxFit):
                     return
                 xminView = float(self.xminFit.GetValue())
                 xmaxView = float(self.xmaxFit.GetValue())
-                #xmin = self.floatInvTransform(xminView)
-                #xmax = self.floatInvTransform(xmaxView)
                 xmin = xminView
                 xmax = xmaxView
@@ -399,20 +392,18 @@
                 # in variables  before the fit
                 if self.yLabel.lower() == "log10(y)":
-                    if (self.xLabel.lower() == "log10(x)"):
+                    if self.xLabel.lower() == "log10(x)":
                         for i in range(len(self.x)):
                             if self.x[i] >= math.log10(xmin):
                                 tempy.append(math.log10(self.y[i]))
-                                tempdy.append(transform.errToLogX(self.y[i],
-                                                        0, self.dy[i], 0))
+                                tempdy.append(transform.errToLogX(self.y[i], 0, self.dy[i], 0))
                     else:
                         for i in range(len(self.y)):
                             tempy.append(math.log10(self.y[i]))
-                            tempdy.append(transform.errToLogX(self.y[i],
-                                                            0, self.dy[i], 0))
+                            tempdy.append(transform.errToLogX(self.y[i], 0, self.dy[i], 0))
                 else:
                     tempy = self.y
                     tempdy = self.dy
-               
-                if (self.xLabel.lower() == "log10(x)"):
+
+                if self.xLabel.lower() == "log10(x)":
                     for x_i in self.x:
                         if x_i >= math.log10(xmin):
@@ -420,32 +411,32 @@
                 else:
                     tempx = self.x
-              
-                #Find the fitting parameters
+
+                # Find the fitting parameters
                 # Always use the same defaults, so that fit history
-                #doesn't play a role!
+                # doesn't play a role!
                 self.cstA = fittings.Parameter(self.model, 'A', self.default_A)
                 self.cstB = fittings.Parameter(self.model, 'B', self.default_B)
-                
-                if (self.xLabel.lower() == "log10(x)"):
+
+                if self.xLabel.lower() == "log10(x)":
                     tempdy = numpy.asarray(tempdy)
                     tempdy[tempdy == 0] = 1
                     chisqr, out, cov = fittings.sasfit(self.model,
-                                                        [self.cstA, self.cstB],
-                                                        tempx, tempy,
-                                                        tempdy,
-                                                        math.log10(xmin),
-                                                        math.log10(xmax))
+                                                       [self.cstA, self.cstB],
+                                                       tempx, tempy,
+                                                       tempdy,
+                                                       math.log10(xmin),
+                                                       math.log10(xmax))
                 else:
                     tempdy = numpy.asarray(tempdy)
                     tempdy[tempdy == 0] = 1
                     chisqr, out, cov = fittings.sasfit(self.model,
-                                                        [self.cstA, self.cstB],
-                                                        tempx, tempy, tempdy,
-                                                        xminView, xmaxView)
+                                                       [self.cstA, self.cstB],
+                                                       tempx, tempy, tempdy,
+                                                       xminView, xmaxView)
                 # Use chi2/dof
                 if len(tempx) > 0:
-                    chisqr = chisqr/len(tempx)
-                
-                #Check that cov and out are iterable before displaying them
+                    chisqr = chisqr / len(tempx)
+
+                # Check that cov and out are iterable before displaying them
                 if cov == None:
                     errA = 0.0
@@ -463,10 +454,10 @@
                 self.model.setParam('A', float(cstA))
                 self.model.setParam('B', float(cstB))
-                
+
                 tempx = []
                 tempy = []
                 y_model = 0.0
                 # load tempy with the minimum transformation
-               
+
                 if self.xLabel == "log10(x)":
                     y_model = self.model.run(math.log10(xmin))
@@ -475,10 +466,10 @@
                     y_model = self.model.run(xminView)
                     tempx.append(xminView)
-                    
+
                 if self.yLabel == "log10(y)":
                     tempy.append(math.pow(10, y_model))
                 else:
                     tempy.append(y_model)
-                    
+
                 # load tempy with the maximum transformation
                 if self.xLabel == "log10(x)":
@@ -488,10 +479,10 @@
                     y_model = self.model.run(xmaxView)
                     tempx.append(xmaxView)
-                    
+
                 if self.yLabel == "log10(y)":
                     tempy.append(math.pow(10, y_model))
                 else:
                     tempy.append(y_model)
-                #Set the fit parameter display when  FitDialog is opened again
+                # Set the fit parameter display when  FitDialog is opened again
                 self.Avalue = cstB
                 self.Bvalue = cstA
@@ -501,8 +492,8 @@
                 self.push_data(tempx, tempy, xminView, xmaxView,
                                xmin, xmax, self._ongetValues())
-                
+
                 # Display the fitting value on the Fit Dialog
                 self._onsetValues(cstB, cstA, errA, errB, chisqr)
-               
+
     def _onsetValues(self, cstA, cstB, errA, errB, Chi):
         """
@@ -527,5 +518,5 @@
                     value = format_number(3 * float(cstA) / (2 * rg))
                 else:
-                    value =''
+                    value = ''
                 self.Rgerr_tctr.SetValue(value)
                 if self.I0err_tctr.IsShown():
@@ -540,5 +531,5 @@
                     value = format_number(8 * float(cstA) / rg)
                 else:
-                    value =''
+                    value = ''
                 self.Diametererr_tctr.SetValue(value)
             if self.RgQmin_tctr.IsShown():
@@ -548,5 +539,5 @@
                 value = format_number(rg * self.maxi)
                 self.RgQmax_tctr.SetValue(value)
-                
+
     def _ongetValues(self):
         """
@@ -555,5 +546,5 @@
         return self.Avalue, self.Bvalue, self.ErrAvalue, \
                             self.ErrBvalue, self.Chivalue
-    
+
     def _checkVal(self, usermin, usermax):
         """
@@ -579,22 +570,22 @@
             usermin.SetBackgroundColour("pink")
             usermin.Refresh()
-      
+
         return flag
-            
+
     def floatForwardTransform(self, x):
         """
         transform a float.
         """
-        #TODO: refactor this with proper object-oriented design
+        # TODO: refactor this with proper object-oriented design
         # This code stinks.
-        if(self.xLabel == "x"):
+        if self.xLabel == "x":
             return transform.toX(x)
-        if(self.xLabel == "x^(2)"):
+        if self.xLabel == "x^(2)":
             return transform.toX2(x)
-        if(self.xLabel == "ln(x)"):
+        if self.xLabel == "ln(x)":
             return transform.toLogX(x)
-        if(self.xLabel == "log10(x)"):
+        if self.xLabel == "log10(x)":
             return math.log10(x)
-                    
+
     def floatTransform(self, x):
         """
@@ -603,37 +594,35 @@
         not in x
         """
-        #TODO: refactor this with proper object-oriented design
+        # TODO: refactor this with proper object-oriented design
         # This code stinks.
-        if(self.xLabel == "x"):
+        if self.xLabel == "x":
             return transform.toX(x)
-        if(self.xLabel == "x^(2)"):
+        if self.xLabel == "x^(2)":
             return transform.toX2(x)
-        if(self.xLabel == "ln(x)"):
+        if self.xLabel == "ln(x)":
             return transform.toLogX(x)
-        if(self.xLabel == "log10(x)"):
+        if self.xLabel == "log10(x)":
             if x > 0:
                 return x
             else:
                 raise ValueError, "cannot compute log of a negative number"
-            
+
     def floatInvTransform(self, x):
         """
         transform a float.It is use to determine the x.View min and x.View
         max for values not in x
-        
-        """
-        #TODO: refactor this. This is just a hack to make the
+
+        """
+        # TODO: refactor this. This is just a hack to make the
         # functionality work without rewritting the whole code
         # with good design (which really should be done...).
-        if(self.xLabel == "x^(2)"):
+        if self.xLabel == "x^(2)":
             return math.sqrt(x)
-        
-        elif(self.xLabel == "log10(x)"):
+        elif self.xLabel == "log10(x)":
             return math.pow(10, x)
-        
-        elif(self.xLabel == "ln(x)"):
+        elif self.xLabel == "ln(x)":
             return math.exp(x)
         return x
-            
+
     def checkFitValues(self, item):
         """
@@ -643,6 +632,6 @@
         value = item.GetValue()
         # Check for possible values entered
-        if (self.xLabel == "log10(x)"):  #or self.xLabel=="ln(x)"):
-            if(float(value) > 0):
+        if self.xLabel == "log10(x)":
+            if float(value) > 0:
                 item.SetBackgroundColour(wx.WHITE)
                 item.Refresh()
@@ -652,5 +641,5 @@
                 item.Refresh()
         return flag
-       
+
     def setFitRange(self, xmin, xmax, xminTrans, xmaxTrans):
         """
@@ -659,5 +648,5 @@
         self.xminFit.SetValue(format_number(xmin))
         self.xmaxFit.SetValue(format_number(xmax))
-        
+
     def set_fit_region(self, xmin, xmax):
         """
@@ -675,11 +664,13 @@
         self.xminFit.SetValue(format_number(xmin))
         self.xmaxFit.SetValue(format_number(xmax))
-  
-  
+
+
 class MyApp(wx.App):
     """
+        Test application
     """
     def OnInit(self):
         """
+            Test application initialization
         """
         wx.InitAllImageHandlers()
@@ -688,17 +679,19 @@
                            push_data=self.onFitDisplay,
                            transform=self.returnTrans,
-                            title='Linear Fit')
+                           title='Linear Fit')
         if dialog.ShowModal() == wx.ID_OK:
             pass
         dialog.Destroy()
         return 1
-    
+
     def onFitDisplay(self, tempx, tempy, xminView, xmaxView, xmin, xmax, func):
         """
+            Test application dummy method
         """
         pass
-        
+
     def returnTrans(self):
         """
+            Test application dummy method
         """
         return '', '', 0, 0, 0, 0, 0
